//          _/             _/_/
//        _/_/           _/_/_/
//      _/_/_/_/         _/_/_/
//      _/_/_/_/_/       _/_/_/              ____________________________________________ 
//      _/_/_/_/_/       _/_/_/             /                                           / 
//      _/_/_/_/_/       _/_/_/            /                                   M25P128 / 
//      _/_/_/_/_/       _/_/_/           /                                           /  
//      _/_/_/_/_/_/     _/_/_/          /                                   128Mbit / 
//      _/_/_/_/_/_/     _/_/_/         /                              SERIAL FLASH / 
//      _/_/_/ _/_/_/    _/_/_/        /                                           / 
//      _/_/_/  _/_/_/   _/_/_/       /                  Verilog Behavioral Model / 
//      _/_/_/   _/_/_/  _/_/_/      /                               Version 1.0 / 
//      _/_/_/    _/_/_/ _/_/_/     /                                           /
//      _/_/_/     _/_/_/_/_/_/    /           Copyright (c) 2008 Numonyx B.V. / 
//      _/_/_/      _/_/_/_/_/    /___________________________________________/ 
//      _/_/_/       _/_/_/_/      
//      _/_/          _/_/_/  
// 
//     
//             NUMONYX              


module Stimuli (S, HOLD, D, Vcc, Vpp_W); //P128



    `include "include/DevParam.h"
   
   
    output S;
    output [`VoltageRange] Vcc;

    `ifdef DUAL
        output DQ0, DQ1; 
    `else
        output D; `endif

    `ifdef Vpp_pin
        output [`VoltageRange] Vpp; `endif
    
    `ifdef Vpp_W_pin
        output [`VoltageRange] Vpp_W; `endif
    
    `ifdef HOLD_pin
        output HOLD; `endif
    
    `ifdef W_pin
        output W; `endif

    `ifdef RESET_pin
        output RESET; `endif
   
   
