module Generic4InputRegs (
    input   Rst_irq,
    input   Cyc_i,
    input   Stb_i,
    input   [1:0] Adr_ib2,
    output  reg [31:0] Dat_oab32,
    output  Ack_oa,

    input  [31:0] Reg0Value_ib32,
    input  [31:0] Reg1Value_ib32,
    input  [31:0] Reg2Value_ib32,
    input  [31:0] Reg3Value_ib32);

assign Ack_oa = Stb_i&&Cyc_i;

always @* case (Adr_ib2)
    2'b00: Dat_oab32 = Reg0Value_ib32;
    2'b01: Dat_oab32 = Reg1Value_ib32;
    2'b10: Dat_oab32 = Reg2Value_ib32;
    2'b11: Dat_oab32 = Reg3Value_ib32;
    default: Dat_oab32 = Reg0Value_ib32;
endcase

endmodule