
# PlanAhead Launch Script for Pre-Synthesis Floorplanning, created by Project Navigator

create_project -name SystemFpga -dir "C:/VFC_SVN/firmware/XilinxISE/SystemFpga/planAhead_run_1" -part xc6slx150tfgg676-3
set_param project.pinAheadLayout yes
set srcset [get_property srcset [current_run -impl]]
set_property top SFpga $srcset
set_param project.paUcfFile  "SFpga.ucf"
set hdlfile [add_files [list {../../../hdl/design/VmeInterfaceWB.v}]]
set_property file_type Verilog $hdlfile
set_property library work $hdlfile
set hdlfile [add_files [list {../../../hdl/design/SpiMasterWB.v}]]
set_property file_type Verilog $hdlfile
set_property library work $hdlfile
set hdlfile [add_files [list {../../../hdl/design/Slv2SerWB.v}]]
set_property file_type Verilog $hdlfile
set_property library work $hdlfile
set hdlfile [add_files [list {../../../hdl/design/Monostable.v}]]
set_property file_type Verilog $hdlfile
set_property library work $hdlfile
set hdlfile [add_files [list {../../../hdl/design/InterruptManagerWB.v}]]
set_property file_type Verilog $hdlfile
set_property library work $hdlfile
set hdlfile [add_files [list {../../../hdl/design/Generic4OutputRegs.v}]]
set_property file_type Verilog $hdlfile
set_property library work $hdlfile
set hdlfile [add_files [list {../../../hdl/design/Generic4InputRegs.v}]]
set_property file_type Verilog $hdlfile
set_property library work $hdlfile
set hdlfile [add_files [list {../../../hdl/design/Debouncer.v}]]
set_property file_type Verilog $hdlfile
set_property library work $hdlfile
set hdlfile [add_files [list {../../../hdl/design/AddrDecoderWBSys.v}]]
set_property file_type Verilog $hdlfile
set_property library work $hdlfile
set hdlfile [add_files [list {../../../hdl/design/SystemFpga.v}]]
set_property file_type Verilog $hdlfile
set_property library work $hdlfile
set hdlfile [add_files [list {../../../hdl/design/XilinxWrappers/SFpga.v}]]
set_property file_type Verilog $hdlfile
set_property library work $hdlfile
add_files "SFpga.ucf" -fileset [get_property constrset [current_run]]
add_files -norecurse { {C:/VFC_SVN/firmware/XilinxISE/SystemFpga} }
open_rtl_design -part xc6slx150tfgg676-3
