module AddressDecoderWBApp(
    input   [20:0] Adr_ib21,
    input   Stb_i,
    output  reg [31:0] Dat_ob32,
    output  Ack_o,

    input   [31:0] DatDebugRegs_ib32,
    input   AckDebugRegs_i,
    output  reg StbDebugRegs_o); 

assign Ack_o = AckDebugRegs_i;

always @* begin
    StbDebugRegs_o  = 1'b0;
    Dat_ob32        = 32'h0;
    if  (Adr_ib21[20:2]=='h0) begin      // FROM 0_0000	TO 0_0003 (WB) == FROM 80_0000 TO 80_000C (VME) <- 4 regs (16B)
        StbDebugRegs_o  = Stb_i;
        Dat_ob32        =DatDebugRegs_ib32;
    end 
end        

endmodule      
